Package ghidra.util.table

# Class EmptyThreadedTableModel<T>

java.lang.Object
javax.swing.table.AbstractTableModel
docking.widgets.table.AbstractGTableModel<T>
docking.widgets.table.AbstractSortedTableModel<ROW_TYPE>
docking.widgets.table.GDynamicColumnTableModel<ROW_OBJECT,DATA_SOURCE>
docking.widgets.table.threaded.ThreadedTableModel<ROW_OBJECT,Object>
docking.widgets.table.threaded.ThreadedTableModelStub<T>
ghidra.util.table.EmptyThreadedTableModel<T>

All Implemented Interfaces:
  `ConfigurableColumnTableModel`, `DynamicColumnTableModel<T>`, `RowObjectFilterModel<T>`, `RowObjectTableModel<T>`, `SelectionStorage<T>`, `SortedTableModel`, `VariableColumnTableModel`, `Serializable`, `EventListener`, `ChangeListener`, `TableModel`

public class EmptyThreadedTableModel<T> extends ThreadedTableModelStub<T>
An empty implementation of the ThreadedTableModel.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class docking.widgets.table.threaded.ThreadedTableModel

  `ThreadedTableModel.IncrementalLoadJobListener`

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.threaded.ThreadedTableModel

  `allData, filteredData`

  ### Fields inherited from class docking.widgets.table.GDynamicColumnTableModel

  `columnSettings, serviceProvider, tableColumns`

  ### Fields inherited from class docking.widgets.table.AbstractSortedTableModel

  `hasEverSorted`

  ### Fields inherited from class docking.widgets.table.AbstractGTableModel

  `isDisposed, WIDTH_UNDEFINED`

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

  ### Fields inherited from interface docking.widgets.table.RowObjectFilterModel

  `SUB_FILTERING_DISABLED_PROPERTY`

  ### Fields inherited from interface docking.widgets.table.SortedTableModel

  `ASCENDING_ORDER, DESCENDING_ORDER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyThreadedTableModel(String modelName, String[] columnNames)`
  Constructs a new empty table model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TableColumnDescriptor<T>`
  `createTableColumnDescriptor()`
  `protected void`
  `doLoad(Accumulator<T> accumulator, TaskMonitor monitor)`
  The basic method that all children must implement.
  `Program`
  `getProgram()`
  `ProgramLocation`
  `getProgramLocation(int row, int column)`
  `ProgramSelection`
  `getProgramSelection(int[] rows)`

  ### Methods inherited from class docking.widgets.table.threaded.ThreadedTableModelStub

  `getDataSource`

  ### Methods inherited from class docking.widgets.table.threaded.ThreadedTableModel

  `addInitialLoadListener, addObject, addThreadedTableModelListener, backgroundWorkCancelled, cancelAllUpdates, clearData, createIncrementalLoadJob, createSortComparator, dispose, doFilter, fireTableChanged, getAddRemoveStrategy, getAllData, getModelData, getModelIndex, getModelRow, getName, getRowCount, getRowObjects, getTableFilter, getUnfilteredData, getUnfilteredIndexForRowObject, getUnfilteredRowCount, getUnfilteredRowObjectForIndex, getValueAt, getViewIndex, getViewRow, hasFilter, initializeSorting, isBusy, isFiltered, isLoadIncrementally, reFilter, reload, removeObject, removeThreadedTableModelListener, reSort, setIncrementalTaskMonitor, setModelState, setTableFilter, sort, updateNow, updateObject`

  ### Methods inherited from class docking.widgets.table.GDynamicColumnTableModel

  `addTableColumn, addTableColumn, addTableColumns, addTableColumns, createSortComparatorForColumn, disposeDynamicColumnData, getColumn, getColumnClass, getColumnCount, getColumnDescription, getColumnDisplayName, getColumnIndex, getColumnIndex, getColumnName, getColumnSettings, getColumnSettingsDefinitions, getColumnValueForRow, getDefaultColumnCount, getHeaderRenderer, getMaxLines, getPreferredColumnWidth, getRenderer, getTableColumnDescriptor, getUniqueIdentifier, isDefaultColumn, isSortable, isVisibleByDefault, loadDiscoveredTableColumns, reloadColumns, removeTableColumn, removeTableColumns, setAllColumnSettings, stateChanged`

  ### Methods inherited from class docking.widgets.table.AbstractSortedTableModel

  `addSortListener, cleanupTableSortState, createSortingContext, getIndexForRowObject, getIndexForRowObject, getPendingSortState, getPrimarySortColumnIndex, getRowIndex, getRowObject, getTableSortState, isSorted, isSortPending, notifyModelSorted, setDefaultTableSortState, setTableSortState, sortCompleted`

  ### Methods inherited from class docking.widgets.table.AbstractGTableModel

  `getLastSelectedObjects, isDisposed, refresh, setLastSelectedObjects`

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.RowObjectTableModel

  `fireTableDataChanged, getColumnValueForRow, getRowIndex, getRowObject`

  ### Methods inherited from interface javax.swing.table.TableModel

  `addTableModelListener, getColumnClass, getColumnCount, getColumnName, isCellEditable, removeTableModelListener, setValueAt`

- ## Constructor Details

  - ### EmptyThreadedTableModel

    public EmptyThreadedTableModel(String modelName, String[] columnNames)
    Constructs a new empty table model.
    Parameters:
      `modelName` - the name of the model.
      `columnNames` - the column names.

- ## Method Details

  - ### doLoad

    protected void doLoad(Accumulator<T> accumulator, TaskMonitor monitor)
    Description copied from class: `ThreadedTableModel`
    The basic method that all children must implement. This is where children load their data.
    Specified by:
      `doLoad` in class `ThreadedTableModel<T,Object>`
    Parameters:
      `accumulator` - the datastructure into which you should incrementally place you table row data
      `monitor` - the task monitor to check for cancellations and to update progress

  - ### getProgram

    public Program getProgram()

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(int row, int column)

  - ### getProgramSelection

    public ProgramSelection getProgramSelection(int[] rows)

  - ### createTableColumnDescriptor

    protected TableColumnDescriptor<T> createTableColumnDescriptor()
    Specified by:
      `createTableColumnDescriptor` in class `GDynamicColumnTableModel<T,Object>`